| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::ParamSpec Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

QString | name
uint | flags
QString | signature
QDBusVariant | defaultValue

## Detailed Description

Structure type generated from the specification.

A struct representing an allowed parameter, as returned by GetParameters on the ConnectionManager interface.

## Member Data Documentation

## § name

QString Tp::ParamSpec::name

A string parameter name

## § flags

uint Tp::ParamSpec::flags

A bitwise OR of the parameter flags

## § signature

QString Tp::ParamSpec::signature

A string containing the D-Bus type signature for this parameter

## § defaultValue

QDBusVariant Tp::ParamSpec::defaultValue

The default value (if the Has_Default flag is not present, there is no default and this takes some dummy value, which SHOULD be of the appropriate D-Bus type)